org.apache.lucene.queryParser.core.config

## Class QueryConfigHandler

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.queryParser.core.config.QueryConfigHandler

- Direct Known Subclasses:
    StandardQueryConfigHandler

      public abstract class QueryConfigHandler
      extends org.apache.lucene.util.AttributeSource

  This class can be used to hold any query configuration and no field configuration. For field configuration, it creates a empty `FieldConfig` object and delegate it to field config listeners, these are responsible for setting up all the field configuration. `QueryConfigHandler` should be extended by classes that intends to provide configuration to `QueryNodeProcessor` objects. This class extends `AttributeSource`, so `Attribute`s can be attached to it. The class that extends `QueryConfigHandler` should also provide `FieldConfig` objects for each collection field.
  See Also:
    `Attribute`, `FieldConfig`, `FieldConfigListener`, `QueryConfigHandler`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryConfigHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFieldConfigListener(FieldConfigListener listener)` Adds a listener.
    `FieldConfig` | `getFieldConfig(java.lang.CharSequence fieldName)` Returns an implementation of `FieldConfig` for a specific field name.

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryConfigHandler

          public QueryConfigHandler()

  - ### Method Detail

    - #### getFieldConfig

          public FieldConfig getFieldConfig(java.lang.CharSequence fieldName)

      Returns an implementation of `FieldConfig` for a specific field name. If the implemented `QueryConfigHandler` does not know a specific field name, it may return `null`, indicating there is no configuration for that field.
      Parameters:
        `fieldName` - the field name
      Returns:
        a `FieldConfig` object containing the field name configuration or `null`, if the implemented `QueryConfigHandler` has no configuration for that field

    - #### addFieldConfigListener

          public void addFieldConfigListener(FieldConfigListener listener)

      Adds a listener. The added listeners are called in the order they are added.
      Parameters:
        `listener` - the listener to be added

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.